groovy.json.internal

## Class CharSequenceValue

- java.lang.Object
- - groovy.json.internal.CharSequenceValue

All Implemented Interfaces:
  Value, java.lang.CharSequence

    public class CharSequenceValue
    extends java.lang.Object
    implements Value, java.lang.CharSequence

Author:
  Rick Hightower

### Constructor Summary

Constructors
Constructor and Description
`CharSequenceValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `bigDecimalValue()`
`java.math.BigInteger` `bigIntegerValue()`
`boolean` `booleanValue()`
`byte` `byteValue()`
`char` `charAt(int index)`
`char` `charValue()`
`void` `chop()`
`java.util.Date` `dateValue()`
`double` `doubleValue()`
`boolean` `equals(java.lang.Object o)`
`float` `floatValue()`
`int` `hashCode()`
`int` `intValue()`
`boolean` `isContainer()`
`int` `length()`
`long` `longValue()`
`short` `shortValue()`
`java.lang.String` `stringValue()`
`java.lang.String` `stringValueEncoded()`
`java.lang.CharSequence` `subSequence(int start, int end)`
`<T extends java.lang.Enum> T` `toEnum(java.lang.Class<T> cls)`
`static <T extends java.lang.Enum> T` `toEnum(java.lang.Class<T> cls, int value)`
`static <T extends java.lang.Enum> T` `toEnum(java.lang.Class<T> cls, java.lang.String value)`
`java.lang.String` `toString()`
`java.lang.Object` `toValue()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### CharSequenceValue

    public CharSequenceValue(boolean chop,
                             Type type,
                             int startIndex,
                             int endIndex,
                             char[] buffer,
                             boolean encoded,
                             boolean checkDate)

### Method Detail

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `java.lang.CharSequence`
Overrides:
  `toString` in class `java.lang.Object`

#### toValue

    public final java.lang.Object toValue()

Specified by:
  `toValue` in interface `Value`

#### toEnum

    public <T extends java.lang.Enum> T toEnum(java.lang.Class<T> cls)

Specified by:
  `toEnum` in interface `Value`

#### toEnum

    public static <T extends java.lang.Enum> T toEnum(java.lang.Class<T> cls,
                                                      java.lang.String value)

#### toEnum

    public static <T extends java.lang.Enum> T toEnum(java.lang.Class<T> cls,
                                                      int value)

#### isContainer

    public boolean isContainer()

Specified by:
  `isContainer` in interface `Value`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### length

    public final int length()

Specified by:
  `length` in interface `java.lang.CharSequence`

#### charAt

    public final char charAt(int index)

Specified by:
  `charAt` in interface `java.lang.CharSequence`

#### subSequence

    public final java.lang.CharSequence subSequence(int start,
                                                    int end)

Specified by:
  `subSequence` in interface `java.lang.CharSequence`

#### bigDecimalValue

    public java.math.BigDecimal bigDecimalValue()

Specified by:
  `bigDecimalValue` in interface `Value`

#### bigIntegerValue

    public java.math.BigInteger bigIntegerValue()

Specified by:
  `bigIntegerValue` in interface `Value`

#### stringValue

    public java.lang.String stringValue()

Specified by:
  `stringValue` in interface `Value`

#### stringValueEncoded

    public java.lang.String stringValueEncoded()

Specified by:
  `stringValueEncoded` in interface `Value`

#### dateValue

    public java.util.Date dateValue()

Specified by:
  `dateValue` in interface `Value`

#### intValue

    public int intValue()

Specified by:
  `intValue` in interface `Value`

#### longValue

    public long longValue()

Specified by:
  `longValue` in interface `Value`

#### byteValue

    public byte byteValue()

Specified by:
  `byteValue` in interface `Value`

#### shortValue

    public short shortValue()

Specified by:
  `shortValue` in interface `Value`

#### doubleValue

    public double doubleValue()

Specified by:
  `doubleValue` in interface `Value`

#### booleanValue

    public boolean booleanValue()

Specified by:
  `booleanValue` in interface `Value`

#### floatValue

    public float floatValue()

Specified by:
  `floatValue` in interface `Value`

#### chop

    public final void chop()

Specified by:
  `chop` in interface `Value`

#### charValue

    public char charValue()

Specified by:
  `charValue` in interface `Value`